## h265parse h265parse |

## Properties

gint | config-interval | Read / Write / Construct

## Types and Values

struct | GstH265Parse

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseParse
                        ╰── GstH265Parse

## Description

## Synopsis

### Element Information

plugin | videoparsersbad
author | Sreerenj Balachandran <sreerenj.balachandran@intel.com>
class | Codec/Parser/Converter/Video

### Element Pads

name | sink
direction | sink
presence | always
details | video/x-h265

name | src
direction | source
presence | always
details | video/x-h265, parsed=(boolean)true, stream-format=(string){ hvc1, hev1, byte-stream }, alignment=(string){ au, nal }

## Functions

## Types and Values

### struct GstH265Parse

    struct GstH265Parse;

## Property Details

### The `“config-interval”` property

      “config-interval”          gint

Send VPS, SPS and PPS Insertion Interval in seconds (sprop parameter sets will be multiplexed in the data stream when detected.) (0 = disabled, -1 = send with every IDR frame).

Flags: Read / Write / Construct

Allowed values: [G_MAXULONG,3600]

Default value: 0